petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSNESSetObjective

set SNES objective evaluation function

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESSetObjective(DM dm,PetscErrorCode (*obj)(SNES,Vec,PetscReal*,void*),void *ctx)

Not Collective Many br

### Input Arguments

| dm | - DM to be used with SNES Many br
| obj | - objective evaluation function; see SNESObjectiveFunction for details Many br
| ctx | - context for residual evaluation Many br

Many br

### See Also

DMSNESSetContext(), SNESGetObjective(), DMSNESSetFunction()

Level:advanced
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages